## org.omg.DynamicAny.DynAnyPackage
Class TypeMismatchHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynAnyPackage.TypeMismatchHelper

public class TypeMismatchHelper
extends java.lang.Object

Helper class for : TypeMismatch

Author:
  OpenORB Compiler

Constructor Summary
`TypeMismatchHelper()`

Method Summary
`static TypeMismatch` `extract(Any a)` Extract TypeMismatch from an any
`static java.lang.String` `id()` Return the TypeMismatch IDL ID
`static void` `insert(Any a, TypeMismatch t)` Insert TypeMismatch into an any
`static TypeMismatch` `read(InputStream istream)` Read TypeMismatch from a marshalled stream
`static TypeCode` `type()` Return the TypeMismatch TypeCode
`static void` `write(OutputStream ostream, TypeMismatch value)` Write TypeMismatch into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeMismatchHelper

    public TypeMismatchHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TypeMismatch t)

  Insert TypeMismatch into an any
  Parameters:
    `a` - an any
    `t` - TypeMismatch value

### extract

    public static TypeMismatch extract(Any a)

  Extract TypeMismatch from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TypeMismatch value

### type

    public static TypeCode type()

  Return the TypeMismatch TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TypeMismatch IDL ID
  Returns:
    an ID

### read

    public static TypeMismatch read(InputStream istream)

  Read TypeMismatch from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TypeMismatch value

### write

    public static void write(OutputStream ostream,
                             TypeMismatch value)

  Write TypeMismatch into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TypeMismatch value